Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.appengine.api.search
Enum SortSpec.SortType

    java.lang.Object
      java.lang.Enum<SortSpec.SortType>
          com.google.appengine.api.search.SortSpec.SortType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SortSpec.SortType>

Enclosing class:
  SortSpec

    public static enum SortSpec.SortType

extends java.lang.Enum<SortSpec.SortType>

The type of sorting to order documents in a search.

Enum Constant Summary
`CUSTOM` The user specifies a custom function for scoring each document, which can simply be a field name, or a complex expression.
`MATCH_SCORER` A scorer that returns a score based on term frequency divided by document frequency.
`RESCORING_MATCH_SCORER` A generic scorer that uses match scoring and rescoring.

Method Summary
`static SortSpec.SortType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SortSpec.SortType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CUSTOM

    public static final SortSpec.SortType CUSTOM

  The user specifies a custom function for scoring each document, which can simply be a field name, or a complex expression.

### RESCORING_MATCH_SCORER

    public static final SortSpec.SortType RESCORING_MATCH_SCORER

  A generic scorer that uses match scoring and rescoring.

### MATCH_SCORER

    public static final SortSpec.SortType MATCH_SCORER

  A scorer that returns a score based on term frequency divided by document frequency.

Method Detail

### values

    public static SortSpec.SortType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SortSpec.SortType c : SortSpec.SortType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SortSpec.SortType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD